<?php
// Optional: Log the 404 error for debugging purposes
$requested_url = $_SERVER['REQUEST_URI'];
$log_message = "404 Error - Page Not Found: " . $requested_url . " at " . date("Y-m-d H:i:s") . "\n";
file_put_contents('404_log.txt', $log_message, FILE_APPEND);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Page Not Found - 404</title>
    <style>
        body {
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            background-color: #f9f9f9;
            color: #333;
            margin: 0;
            padding: 0;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            background: linear-gradient(135deg, #00c6ff, #0072ff);
        }

        .container {
            background-color: white;
            padding: 40px 60px;
            border-radius: 10px;
            box-shadow: 0 15px 25px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            width: 100%;
            text-align: center;
        }

        h1 {
            font-size: 150px;
            color: #ff5733;
            margin: 0;
            font-weight: bold;
        }

        p {
            font-size: 18px;
            color: #555;
            margin: 20px 0;
        }

        .button {
            background-color: #186F45;
            color: white;
            padding: 12px 24px;
            font-size: 18px;
            text-decoration: none;
            border-radius: 5px;
            display: inline-block;
            transition: background-color 0.3s, transform 0.3s;
        }

        .button:hover {
            background-color: #145a36;
            transform: translateY(-5px);
        }

        .button:active {
            transform: translateY(2px);
        }

        .footer {
            margin-top: 30px;
            font-size: 14px;
            color: #888;
        }

        .footer a {
            color: #0072ff;
            text-decoration: none;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>404</h1>
        <p>Oops! The page you are looking for doesn't exist.</p>
        <a href="/" class="button">Go Back to Home</a>
        <div class="footer">
            <p>Need help? <a href="mailto:support@yourdomain.com">Contact Support</a></p>
        </div>
    </div>
</body>
</html>
