<?php
session_start();
require_once ('conn.php');

if (isset($_SESSION['agent'])) {
    header('Location: ../dashboard/index.php?show=successfully logged in');
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $idnumber = trim($_POST['idnumber']);
    $password = trim($_POST['password']);
    
    $stmt = $conn->prepare("SELECT * FROM agents WHERE idnumber = :idnumber");
    $stmt->execute(['idnumber' => $idnumber]);
    $agent = $stmt->fetch(PDO::FETCH_ASSOC);
    
    if ($agent && password_verify($password, $agent['password'])) {
        $_SESSION['agent'] = $agent['idnumber'];
        header('Location: ../dashboard/index.php?show=successfully logged in');
        exit();
    } else {
        $error = "Invalid ID Number or Password!";
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Payment and Registration Agent Login</title>
    <link rel="stylesheet" href="../css/style.css">
    <link rel="stylesheet" href="../css/font-awesome.min.css">
</head>
<body>
    <div class="login-container">
        <h1>PAYMENT AND REGISTRATION AGENT LOGIN</h1>
        <p class="notice">NB: Ask the ADMIN for your Login Password...</p>
        <div class="login-box">
            <img src="../images/dtce.png" alt="DTCE LOGO" width="100"/>
            <?php if (isset($error)) echo "<p class='error'>$error</p>"; ?>
            <form method="POST" action="">
                <div class="input-group">
                    <span><img src="../images/icon.png" width="20px" alt="icon"></span>
                    <input type="text" name="idnumber" placeholder="Agent ID NUMBER" required>
                </div>
                <div class="input-group">
                    <span><img src="../images/icon.png" width="20px" alt="icon"></span>
                    <input type="password" id="password" name="password" placeholder="AGENT'S PASSWORD" required>
                </div>
                <label class="checkbox">
                    <input type="checkbox" onclick="togglePassword()"> Show Password
                </label>
                <button type="submit" class="btn">Log In</button>
            </form>
            <div class="links">
                <a href="#">Contact Super Admin</a>
                <a href="#">Need Help?</a>
            </div>
        </div>
    </div>
    <script>
        function togglePassword() {
            var x = document.getElementById("password");
            x.type = x.type === "password" ? "text" : "password";
        }
    </script>
</body>
</html>
