<?php
session_start();
require 'conn.php'; // Include your database connection file

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['close_ticket'])) {
    if (isset($_POST['ticket_id']) && !empty($_POST['ticket_id'])) {
        $ticket_id = $_POST['ticket_id'];
        $province = $_SESSION['pro'] ?? '';

        try {
            $stmt = $conn->prepare("UPDATE tickets SET status = 'closed', updated_at = NOW() WHERE id = :ticket_id AND province = :province");
            $stmt->bindParam(':ticket_id', $ticket_id, PDO::PARAM_INT);
            $stmt->bindParam(':province', $province, PDO::PARAM_STR);
            if ($stmt->execute()) {
                $_SESSION['success'] = "Ticket closed successfully.";
            } else {
                $_SESSION['error'] = "Failed to close the ticket. Please try again.";
            }
        } catch (PDOException $e) {
            $_SESSION['error'] = "Database error: " . $e->getMessage();
        }
    } else {
        $_SESSION['error'] = "Invalid ticket ID.";
    }
} else {
    $_SESSION['error'] = "Invalid request.";
}

header("Location: tickets.php"); // Redirect to the tickets page
exit();
