<?php
session_start();
error_reporting(E_ALL); // Enable all error reporting
ini_set('display_errors', 1); // Display errors on the screen
date_default_timezone_set("Africa/Lagos");

include "./conn.php"; // Ensure your connection script is included correctly

// Retrieve session token
$alert = $_SESSION['token'];

// Fetch data from the database
$stmt = $conn->prepare("SELECT p1, p1c, zone, region, province FROM registration WHERE password = :alert");
$stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$row) {
    die("No user found.");
}

$p1 = $row['p1'];
$p1c = $row['p1c'];
$region = $row['region'];
$province = $row['province'];
$zone = $row['zone'];

// Retrieve POST data and sanitize
$children1 = filter_input(INPUT_POST, 'children1', FILTER_SANITIZE_NUMBER_INT);
$children2 = filter_input(INPUT_POST, 'children2', FILTER_SANITIZE_NUMBER_INT);
$children3 = filter_input(INPUT_POST, 'children3', FILTER_SANITIZE_NUMBER_INT);

// Validate POST data
if ($children1 === null || $children2 === null || $children3 === null) {
    die("Invalid input data.");
}

// Calculate new total
$date = date('h:i:s - d/m/Y');
$year = date('Y');
$p1c_new = $p1c + $children1 + $children2 + $children3;

// Check if the new total matches the expected value
if ($p1 == $p1c_new) {
    // Update registration table
    $update_stmt = $conn->prepare("UPDATE registration SET p1c = :p1c_new WHERE password = :alert");
    $update_stmt->bindParam(':p1c_new', $p1c_new, PDO::PARAM_INT);
    $update_stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
    $update_stmt->execute();

    // Insert into children table
    $insert_stmt = $conn->prepare("INSERT INTO children (children1, children2, children3, zone, region, province, password, date, year) VALUES (:children1, :children2, :children3, :zone, :region, :province, :alert, :date, :year)");
    $insert_stmt->bindParam(':children1', $children1, PDO::PARAM_INT);
    $insert_stmt->bindParam(':children2', $children2, PDO::PARAM_INT);
    $insert_stmt->bindParam(':children3', $children3, PDO::PARAM_INT);
    $insert_stmt->bindParam(':zone', $zone, PDO::PARAM_STR);
    $insert_stmt->bindParam(':region', $region, PDO::PARAM_STR);
    $insert_stmt->bindParam(':province', $province, PDO::PARAM_STR);
    $insert_stmt->bindParam(':alert', $alert, PDO::PARAM_STR);
    $insert_stmt->bindParam(':date', $date, PDO::PARAM_STR);
    $insert_stmt->bindParam(':year', $year, PDO::PARAM_INT);
    $insert_stmt->execute();

    // Redirect with success message
    echo "<script type='text/javascript'>alert('Congratulations! Form Completed...Press OK to CONTINUE');location.href='children.php';</script>";
} else {
    // Redirect with error message
    echo "<script type='text/javascript'>alert('Sorry! We can\'t process your forms...Press OK to CONTINUE');location.href='children.php';</script>";
}

// Close connection
$conn = null;
?>
