document.addEventListener("DOMContentLoaded", function () {
    document.querySelectorAll(".delete-btn").forEach(button => {
        button.addEventListener("click", function () {
            let id = this.getAttribute("data-id");

            if (confirm("Are you sure you want to delete this record? This action cannot be undone!")) {
                fetch("delete_record.php", {
                    method: "POST",
                    headers: { "Content-Type": "application/x-www-form-urlencoded" },
                    body: "id=" + id
                })
                .then(response => response.json())
                .then(data => {
                    alert(data.message);
                    if (data.success) {
                        location.reload(); // Reload the page if successful
                    }
                })
                .catch(error => console.error("Error:", error));
            }
        });
    });
});
