<?php
include("conn.php");

if (isset($_GET['id'])) {
    $newsId = $_GET['id'];

    try {
        // Fetch the news content by ID
        $stmt = $conn->prepare("SELECT title, content FROM news WHERE id = :id");
        $stmt->bindParam(':id', $newsId, PDO::PARAM_INT);
        $stmt->execute();
        $newsContent = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($newsContent) {
            // Return content as plain text
            echo nl2br(htmlspecialchars($newsContent['content']));
        } else {
            echo "No content available.";
        }
    } catch (PDOException $e) {
        echo "Error: " . $e->getMessage();
    }
}
?>
