<?php
require 'conn.php';
session_start();

$province = $_SESSION['pro'];

$query = "SELECT * FROM tickets WHERE province = :province ORDER BY created_at DESC";
$stmt = $conn->prepare($query);
$stmt->bindValue(':province', $province, PDO::PARAM_STR);
$stmt->execute();
$tickets = $stmt->fetchAll(PDO::FETCH_ASSOC);

if (empty($tickets)) {
    echo '<div class="alert alert-warning"><i class="fas fa-exclamation-triangle"></i> You have no open tickets.</div>';
} else {
    echo '<div class="accordion" id="ticketAccordion">';
    foreach ($tickets as $ticket) {
        ?>
        <div class="card mb-2">
            <div class="card-header" id="ticketHeading<?= $ticket['id'] ?>">
                <h2 class="mb-0">
                    <button class="btn btn-link" type="button" data-bs-toggle="collapse" data-bs-target="#ticketCollapse<?= $ticket['id'] ?>" aria-expanded="true">
                        <i class="fas fa-ticket-alt"></i> Ticket #<?= $ticket['id'] ?> - Status: <?= ucfirst($ticket['status']) ?>
                    </button>
                </h2>
            </div>
            <div id="ticketCollapse<?= $ticket['id'] ?>" class="collapse" aria-labelledby="ticketHeading<?= $ticket['id'] ?>" data-bs-parent="#ticketAccordion">
                <div class="card-body">
                    <p><strong>Issue:</strong> <?= htmlspecialchars($ticket['issue']) ?></p>
                    <p><strong>Status:</strong> <?= ucfirst($ticket['status']) ?></p>
                    <p><strong>Created At:</strong> <?= date('l, jS F Y - h:i:s A', strtotime($ticket['created_at'])) ?></p>

                    <div id="adminResponse<?= $ticket['id'] ?>">
                        <?php if ($ticket['response']) : ?>
                            <div class="mt-3">
                                <strong>Admin Response:</strong>
                                <p><?= nl2br(htmlspecialchars($ticket['response'])) ?></p>
                            </div>
                        <?php endif; ?>
                    </div>

                    <?php if (!empty($ticket['user_reply'])) : ?>
                        <div class="mt-3">
                            <strong><?= ucwords(strtolower($_SESSION['pro'])); ?>:</strong>
                            <p><?= nl2br(htmlspecialchars($ticket['user_reply'])) ?></p>
                        </div>
                    <?php endif; ?>

                    <?php if ($ticket['status'] == 'open') : ?>
                        <form class="replyForm" method="POST">
                            <div class="mb-3">
                                <label for="user_reply_<?= $ticket['id'] ?>" class="form-label">Reply to Admin:</label>
                                <textarea name="user_reply" id="user_reply_<?= $ticket['id'] ?>" rows="4" class="form-control"></textarea>
                            </div>
                            <input type="hidden" name="ticket_id" value="<?= $ticket['id'] ?>">
                            <button type="submit" class="btn btn-primary">Submit Reply</button>
                        </form>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php
    }
    echo '</div>';
}
?>
