<?php
session_start();
require_once('conn.php'); // Ensure the database connection is included

// Debugging: Output session variables
echo '<pre>';
print_r($_SESSION);
echo '</pre>';

// Check if province is set in the session
if (isset($_SESSION['pro'])) {
    $province = $_SESSION['pro']; // Get province from session

    // Fetch virtual account details using province
    $stmt = $conn->prepare("SELECT account_number, bank_name, balance FROM virtual_accounts WHERE province = ?");
    $stmt->execute([$province]);
    $virtualAccount = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($virtualAccount) {
        // Return account details as JSON
        echo json_encode($virtualAccount);
    } else {
        echo json_encode(['error' => 'No account found for this province']);
    }
} else {
    echo json_encode(['error' => 'Province not set in session']);
}
?>
