<?php
include 'conn.php';

$limit = 4;  // Number of records to load per request
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;  // Current page number

$offset = ($page - 1) * $limit;  // Calculate the offset for the query

// Fetch the next set of menu items from the database
$stmt = $conn->prepare("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC LIMIT :limit OFFSET :offset");
$stmt->bindParam(':limit', $limit, PDO::PARAM_INT);
$stmt->bindParam(':offset', $offset, PDO::PARAM_INT);
$stmt->execute();
$menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Check if there are more items to load
$moreItems = count($menuItems) > 0;
?>

<?php if ($moreItems): ?>
    <div class="row">
        <?php foreach ($menuItems as $item): ?>
            <div class="col-sm-6 col-lg-3 mb-4">
                <div class="card">
                    <?php
                    $imageSrc = !empty($item['image']) ? htmlspecialchars($item['image']) : './dist/img/bg-login.jpg';
                    ?>
                    <img src=".<?php echo $imageSrc; ?>" class="card-img-top" alt="Card Image">
                    <div class="card-body">
                        <h5 class="card-title"><?php echo htmlspecialchars($item['name']); ?></h5>
                        <a href="<?php echo htmlspecialchars($item['link']); ?>" class="btn btn-primary mt-2 stretched-link" onclick="createRipple(event)">Explore</a>
                        <span class="ripple"></span>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
<?php else: ?>
    <div class="alert alert-info text-center w-100">
        No more items to load.
    </div>
<?php endif; ?>
