<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Cookie Usage Modal</title>
  
  <!-- Bootstrap CSS CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
  <link rel="stylesheet" href="../cookies/cookieconsent.css">
  
</head>
<body>

  <!-- Bootstrap Modal -->
  <div class="modal fade" id="cookieModal" tabindex="-1" role="dialog" aria-labelledby="cookieModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <!-- Modal Header -->
        <div class="modal-header">
          <h5 class="modal-title" id="cookieModalLabel">Cookie Usage 📢</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        
        <!-- Modal Body -->
        <div class="modal-body">
          <div class="card">
            <div class="card-body">
              <div class="desc">
                <p>DTCE uses cookies to ensure the basic functionalities of the website and to enhance your online experience. You can choose for each category to opt-in/out whenever you want. For more details, please read the full <a href="/privacy-policy" target="_blank" class="cc-link">privacy policy</a>.</p>
              </div>

              <!-- Cookie Categories -->
              <div class="c-bl b-ex">
                <div class="title b-bn">
                  <button type="button" class="b-tl exp" data-toggle="collapse" data-target="#strictlyNecessaryCookies" aria-expanded="false">Strictly necessary cookies</button>
                  <label class="b-tg">
                    <input class="c-tgl" type="checkbox" value="necessary" disabled>
                    <span class="c-tg c-ro" aria-hidden="true"><span class="on-i"></span><span class="off-i"></span></span>
                    <span class="t-lb">Strictly necessary cookies</span>
                  </label>
                </div>
                <div class="collapse" id="strictlyNecessaryCookies">
                  <div class="desc">
                    <p>These cookies are essential for the proper functioning of the website. Without these cookies, the website would not work properly.</p>
                  </div>
                </div>
              </div>

              <div class="c-bl b-ex">
                <div class="title b-bn">
                  <button type="button" class="b-tl exp" data-toggle="collapse" data-target="#performanceCookies" aria-expanded="false">Performance and Analytics cookies</button>
                  <label class="b-tg">
                    <input class="c-tgl" type="checkbox" value="analytics">
                    <span class="c-tg" aria-hidden="true"><span class="on-i"></span><span class="off-i"></span></span>
                    <span class="t-lb">Performance and Analytics cookies</span>
                  </label>
                </div>
                <div class="collapse" id="performanceCookies">
                  <div class="desc">
                    <p>These cookies allow the website to remember the choices you have made in the past.</p>
                    <table class="table table-bordered">
                      <thead>
                        <tr>
                          <th scope="col">Name</th>
                          <th scope="col">Domain</th>
                          <th scope="col">Expiration</th>
                          <th scope="col">Description</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td>_ga</td>
                          <td>google.com</td>
                          <td>2 years</td>
                          <td>Tracks page visits and user behavior</td>
                        </tr>
                        <tr>
                          <td>_gid</td>
                          <td>google.com</td>
                          <td>1 day</td>
                          <td>Tracks user sessions</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

              <div class="c-bl b-ex">
                <div class="title b-bn">
                  <button type="button" class="b-tl exp" data-toggle="collapse" data-target="#advertisementCookies" aria-expanded="false">Advertisement and Targeting cookies</button>
                  <label class="b-tg">
                    <input class="c-tgl" type="checkbox" value="targeting">
                    <span class="c-tg" aria-hidden="true"><span class="on-i"></span><span class="off-i"></span></span>
                    <span class="t-lb">Advertisement and Targeting cookies</span>
                  </label>
                </div>
                <div class="collapse" id="advertisementCookies">
                  <div class="desc">
                    <p>These cookies collect information about how you use the website, which pages you visited, and which links you clicked on. All data is anonymized and cannot identify you personally.</p>
                  </div>
                </div>
              </div>

              <div class="c-bl">
                <div class="title">
                  <h6>More Information</h6>
                </div>
                <div class="desc">
                  <p>If you have any queries related to our cookie policy, feel free to contact us at <b>KM 46 Lagos-Ibadan Expressway, National Secretariat, Redemption City, Ogun State</b>, or email us at <a href="mailto:privacypolicy@rccgdtce.org" class="cc-link">privacypolicy@rccgdtce.org</a>.</p>
                </div>
              </div>

              <!-- Cookie Settings Buttons -->
              <div id="s-bns">
                <button type="button" class="btn btn-success">Accept All</button>
                <button type="button" class="btn btn-danger">Reject All</button>
                <button type="button" class="btn btn-primary">Save Settings</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Bootstrap JS and jQuery (Include these if not already in your page) -->
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>

  <script>
    // Trigger the modal to show on page load
    $(document).ready(function() {
      $('#cookieModal').modal('show');
    });
  </script>

</body>
</html>
