<?php
session_start();

include 'conn.php';

// Check if the session 'pro' is set, if not redirect to login page
if (!isset($_SESSION['reg']) || !isset($_SESSION['pro']) || !isset($_SESSION['zone'])) {
    // Redirect to the login page if not logged in
    header("Location: index.php"); // Change to your login page URL
    exit();
}


?>






<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE | Payment Verification</title>

    <!-- Dependencies -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="../plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css">
    <link rel="stylesheet" href="../cookies/cookieconsent.css">
    <link rel="stylesheet" href="../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="../dist/css/custom.css">
    <link rel="stylesheet" href="../dist/css/login_style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <link rel="stylesheet" href="../dist/css/animate.min.css">
    <link href="../plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="../dist/img/icon2.png" type="image/x-icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!-- AdminLTE -->
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>

    <style>
        .card {
            margin: 20px auto;
            padding: 20px;
            border: 1px solid #ddd;
            border-radius: 5px;
            max-width: 600px;
        }

        .form-title {
            font-size: 24px;
            margin-bottom: 20px;
        }

        .form-group {
            margin: 10px 0;
        }

        .alert {
            color: red;
            font-weight: bold;
        }

        body {
            transition: background-color 0.3s, color 0.3s;
            background-color: #ffffff;
            /* Sets the body background color to white */
            color: #000000;
            /* Sets the text color to black (for better readability) */
        }

        .dark-mode {
            background-color: #333;
            color: #f0f0f0;
        }

        .light-mode {
            background-color: #f0f0f0;
            color: #333;
        }

        /* Main theme Default light mode (bootstrap defaults) */
        body {
            background-color: #ffffff;
            color: #000000;
            transition: background-color 0.3s, color 0.3s;
        }


        a {
            color: rgb(12, 12, 12);
        }

        a:hover {
            color: #0056b3;
        }

        /* Dark Mode - Links */
        .dark-mode .strip_2 a {
            color: rgb(241, 239, 239) !important;
            /* Light color for better contrast */
            text-decoration: none;
            /* Optional: Removes underline for a cleaner look */
        }

        /* Dark Mode - Links on Hover */
        .dark-mode .strip_2 a:hover {
            color: #4a90e2 !important;
            /* A softer blue for better readability */
            text-decoration: underline;
            /* Optional: Adds underline on hover */
        }


        .light-mode .province-initials {
            background-color: #007bff !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .light-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: white !important;
            color: black !important;
            border-color: #444 !important;
        }

        /* Dark Mode */
        .dark-mode {
            background-color: #121212 !important;
            color: #ffffff !important;
        }

        /* Dark mode for links */
        .dark-mode a {
            color: rgb(247, 249, 252) !important;
        }

        .dark-mode a:hover {
            color: rgb(243, 248, 253) !important;
        }

        /* Dark mode for navigation bar */
        .dark-mode .navbar {
            background-color: #1e1e1e !important;
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .navbar a {
            color: white !important;
        }

        .dark-mode .navbar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .btn:hover {
            background-color: white !important;
        }

        /* Specific button colors in dark mode */
        .dark-mode .btn-primary {
            background-color: rgb(0, 3, 7) !important;
            color: white !important;
        }

        .dark-mode .btn-success {
            background-color: rgb(1, 12, 3) !important;
            color: white !important;
        }

        .dark-mode .btn-danger {
            background-color: rgb(8, 0, 1) !important;
            color: white !important;
        }

        .dark-mode .btn-warning {
            background-color: rgb(2, 1, 0) !important;
            color: white !important;
        }

        .dark-mode .btn-info {
            background-color: rgb(0, 7, 8) !important;
            color: white !important;
        }

        /* Dark mode for tables */
        .dark-mode table {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode thead {
            background-color: #333 !important;
        }

        .dark-mode tbody tr {
            background-color: #2c2c2c !important;
        }

        .dark-mode tbody tr:hover {
            background-color: #3a3a3a !important;
        }

        /* Dark mode for form fields */
        .dark-mode input,
        .dark-mode select,
        .dark-mode textarea {
            background-color: #222 !important;
            color: white !important;
            border: 1px solid white !important;
        }

        .dark-mode input::placeholder,
        .dark-mode textarea::placeholder {
            color: #bbb !important;
        }

        /* Dark mode for modals */
        .dark-mode .modal-content {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode .modal-header {
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .modal-footer {
            border-top: 1px solid #333 !important;
        }

        /* Dark mode for sidebar (if applicable) */
        .dark-mode .sidebar {
            background-color: #1e1e1e !important;
        }

        .dark-mode .sidebar a {
            color: white !important;
        }

        .dark-mode .sidebar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for alerts */
        .dark-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #333 !important;
            color: white !important;
            border-color: #444 !important;
        }


        /* Default (Light Mode) */
        .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #ffffff !important;
            /* Light background */
            color: #000000 !important;
            /* Dark text */
            border-color: #ddd !important;
            /* Light border */
        }

        /* Hover effect in light mode */
        .dropdown-item:hover {
            background-color: #f8f9fa !important;
            color: #000000 !important;
        }

        /* Dark Mode */
        .dark-mode .alert,
        .dark-mode .dropdown-menu,
        .dark-mode .dropdown-menu-lg,
        .dark-mode .dropdown-menu-right,
        .dark-mode .dropdown-item {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
            border-color: #444 !important;
            /* Dark border */
        }

        /* Hover effect in dark mode */
        .dark-mode .dropdown-item:hover {
            background-color: #333 !important;
            color: #ffffff !important;
        }

        /* Light Mode */
        .toast-body,
        .toast-header {
            background-color: #ffffff !important;
            /* White background */
            color: #000000 !important;
            /* Black text */
            border-color: #ddd !important;
            /* Light grey border */
        }

        /* Light Mode - Paragraph Specific */


        /* Light Mode - Paragraph on Blue Background */
        .sidebar-dark-primary p,
        .main-sidebar p {
            color: white !important;
            /* White text on blue backgrounds */
        }

        .sidebar-dark-primary .fa,
        .main-sidebar .fa {
            color: white !important;
            /* White text on blue backgrounds */
        }

        /* Light Mode (Default) */

        p,
        h1,
        h2,
        h3,
        h4,
        h5,
        h6,
        .card-title,
        .text-dark,
        .text-secondary,
        .text-muted,
        .text-primary {
            color: rgb(12, 0, 0) !important;
            /* Default dark text */
        }


        .fa {
            color: white;
        }

        /* Dark Mode Styles */
        .dark-mode {
            background-color: #121212 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
        }

        /* Dark Mode Text Colors */
        .dark-mode .fa,
        .dark-mode p,
        .dark-mode h1,
        .dark-mode h2,
        .dark-mode h3,
        .dark-mode h4,
        .dark-mode h5,
        .dark-mode h6,
        .dark-mode .card-title,
        .dark-mode .text-dark,
        .dark-mode .text-secondary,
        .dark-mode .text-muted,
        .dark-mode .text-primary {
            color: #ffffff !important;
            /* White text in dark mode */
        }

        .dark-mode .strip-wrapper {
            background-color: none;
            color: black;
        }


        .strip_2,
        .strip-wrapper {
            background-color: none;
            color: black;
        }


        .card-title,
        .text-dark,
        .text-secondary,
        .text-muted,
        .text-primary {
            color: rgb(7, 6, 6) !important;
            /* White text in dark mode */
        }


        /* Adjust Specific Text Colors in Dark Mode */
        .dark-mode .text-muted {
            color: #b0b0b0 !important;
            /* Slightly gray for muted text */
        }

        .dark-mode .text-primary {
            color: rgb(237, 241, 245) !important;
            /* Lighter blue for better contrast */
        }

        .dark-mode .text-secondary {
            color: #adb5bd !important;
            /* Light grayish text */
        }

        /* Dark Mode Background for Cards & Containers */
        .dark-mode .card,
        .dark-mode .modal-content,
        .dark-mode .dropdown-menu,
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            color: white !important;
            border-color: #444 !important;
        }

        /* Dark Mode FA Icons */
        .dark-mode .fa {
            color: #ffffff !important;
            /* White icons in dark mode */
        }

        /* Dark Mode Specific Icons */
        .dark-mode .fa-calendar {
            color: rgb(236, 235, 229) !important;
            /* Yellow */
        }

        .fa-calendar {
            color: #007bff !important;
            /* Yellow */
        }

        .dark-mode .fa-user {
            color: rgb(242, 247, 248) !important;
            /* Bootstrap info blue */
        }

        .dark-mode .fa-cog,
        .fa-clock {
            color: #f8f9fa !important;
            /* Light gray */
        }

        .fa-cog,
        .fa-clock,
        .fa-user {
            color: rgb(1, 5, 10) !important;
            /* Light gray */
        }

        /* Dark Mode Buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: #ffffff !important;
            border: 1px solid #555 !important;
        }

        .dark-mode .btn-primary {
            background-color: rgb(11, 12, 12) !important;
            border-color: rgb(8, 8, 8) !important;
        }

        .dark-mode .btn-secondary {
            background-color: #6c757d !important;
            border-color: #6c757d !important;
        }

        /* Hover Effects */
        .dark-mode .btn:hover {
            background-color: #444 !important;
        }

        .dark-mode .btn-primary:hover {
            background-color: rgb(17, 17, 19) !important;
        }

        .dark-mode .btn-secondary:hover {
            background-color: #5a6268 !important;
        }



        /* Toast header specific styling */
        .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #ddd !important;
        }

        /* Dark Mode */
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* White text */
            border-color: #444 !important;
            /* Dark grey border */
        }

        .dark-mode .panel,
        .border,
        .bg-light {
            background-color: #000000;
            color: white;
        }

        .bg-light,
        .panel {
            background-color: white;
            color: #000000;
        }

        /* Light Mode - Toast Styling */
        .toast-body,
        .toast-header,
        .bg-light {
            background-color: white !important;
            /* White background */
            color: rgb(15, 15, 15) !important;
            /* Dark text */
            border-color: #ddd !important;
            /* Light grey border */
        }

        /* Light Mode - Toast Header */
        .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #ccc !important;
            /* Light grey separator */
        }

        /* Toast header specific styling */
        .dark-mode .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #444 !important;
        }



        /* Dark mode for card components */
        .dark-mode .card {
            background-color: #222 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .card-header {
            background-color: #1e1e1e !important;
        }


        /* Toggle Button Fix */
        .dark-mode #theme-toggle {
            /* background-color: #222 !important; */
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .badge-danger,
        .province-initials {
            background-color: white !important;
            color: black !important;
            /* border: 1px solid white !important; */
        }
    </style>

</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand-lg navbar-light">
            <div class="container-fluid">
                <!-- Navbar Toggler for Mobile -->
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Left Navbar Links -->
                <a href="#" class="navbar-brand">
                    <img src="../dist/img/dtce.png" alt="Logo" style="height: 40px;">
                </a>

                <?php
                include 'conn.php';
                $province_name = $_SESSION['pro']; // Get the province name from the session

                // Fetch the count of unread notifications for this province
                $stmt = $conn->prepare("SELECT COUNT(*) as count FROM notifications WHERE province = :province AND is_read = 0");
                $stmt->bindValue(':province', $province_name);
                $stmt->execute();
                $count = $stmt->fetch(PDO::FETCH_ASSOC)['count'];
                ?>

                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                                <i class="fas fa-bars"></i>
                            </a>
                        </li>
                    </ul>

                    <!-- Centered Search Form -->
                    <form class="form-inline mx-auto">
                        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                        <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                            <i class="fas fa-search"></i>
                        </button>
                    </form>

                    <!-- Right Navbar Links -->
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <img src="../dist/img/ng3.webp" alt="Flag" style="width: 35px;">
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="notificationDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bell">
                                    <span class="badge badge-danger"><?php echo $count; ?></span>
                                </i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="notificationDropdown"
                                id="notificationList">
                                <!-- Notifications will be loaded here -->
                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#" id="theme-toggle">
                                <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown" href="#">
                                <?php
                                // Extract initials from the province name
                                $province = $_SESSION["pro"];
                                $province_parts = explode(" ", $province);
                                $initials = strtoupper(substr($province_parts[0], 0, 1)) . strtoupper(substr($province_parts[1], 0, 1));
                                $number = isset($province_parts[2]) ? $province_parts[2] : '';

                                // Display the initials and the number
                                echo '<div class="province-initials"
                                style="background-color: #007bff; color: white; width: 45px; height: 45px; border-radius: 50%; display: flex; justify-content: center; align-items: center; margin-right: 10px; font-weight: bold; font-size: 16px;">';
                                echo $initials . ' ' . $number;
                                echo '</div>';
                                ?>

                                <div style="display: flex; flex-direction: column;">
                                    <span class="d-none d-md-inline"><?php echo $_SESSION["pro"] ?></span>
                                    <small><?php echo $_SESSION["zone"] ?></small>
                                </div>
                            </a>
                            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                                <a href="#" class="dropdown-item"><i class="fas fa-user"></i> My Profile</a>
                                <a href="#" class="dropdown-item"><i class="fas fa-cog"></i> Settings</a>
                                <div class="dropdown-divider"></div>
                                <a href="logout.php" class="dropdown-item"><i class="fas fa-sign-out-alt"></i> Logout</a>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img src="../dist/img/icon.png" alt="User Image">
                </div>
                <div class="info">
                    <a href="#" class="d-block">RCCG DTCE</a>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <?php
            // Include your database connection file
            include 'conn.php';

            // Fetch menu items, ordered by the 'order' field
            $stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC");
            $menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
            ?>

            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                    <?php foreach ($menuItems as $item): ?>
                        <li class="nav-item">
                            <a href="<?php echo htmlspecialchars($item['link']); ?>" class="nav-link">
                                <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>"></i>
                                <p style="color: white;"><?php echo htmlspecialchars($item['name']); ?></p>
                            </a>
                        </li>
                    <?php endforeach; ?>
                </ul>
            </nav>


            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper -->
    <div class="content-wrapper">
        <!-- Breadcrumb -->
        <div class="breadcrumb-wrapper">
            <ul class="breadcrumb">
                <li class="breadcrumb-item"><a href="../../index.php">HOME</a></li>
                <li class="breadcrumb-item active">Payment Verification</li>
            </ul>
        </div>

        <?php include("news.php"); ?>
        <!-- Main content -->

        <section class="content">

            <!-- <?php
                    include 'conn.php';

                    // Fetch the cover picture
                    $stmt = $conn->query("SELECT * FROM cover_pic ORDER BY id DESC LIMIT 1");
                    $coverPic = $stmt->fetch(PDO::FETCH_ASSOC);

                    $imagePath = $coverPic ? $coverPic['image_path'] : './dist/img/bg-login.jpg'; // Default image if none found
                    ?>

<div class="row">
    <div class="col-sm-12">
        <div class="profile-bg-picture" style="background-image: url('<?php echo htmlspecialchars($imagePath); ?>');">
            <div class="picture-bg-overlay"></div>
        </div>
    </div>
</div> -->

            <!-- Place all content here -->
            <?php
            if (session_status() === PHP_SESSION_NONE) {
                session_start(); // Start session only if not already started
            }

            include 'conn.php'; // Database connection

            $message = '';

            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                $teller_number = $_POST['rrr'];

                try {
                    // Check if the registration is approved and exists in the bank table
                    $stmt = $conn->prepare("SELECT * FROM bank WHERE rrr = ? AND status = 'Approved'");
                    $stmt->execute([$teller_number]);
                    $bankRecord = $stmt->fetch(PDO::FETCH_ASSOC);

                    if ($bankRecord) {
                        // Check if the slip exists
                        $stmt = $conn->prepare("SELECT * FROM slip WHERE teller_number = ?");
                        $stmt->execute([$teller_number]);
                        $slip = $stmt->fetch(PDO::FETCH_ASSOC);

                        if ($slip) {
                            $_SESSION['slip'] = $slip;
                            $_SESSION['payment_details'] = $bankRecord; // Store payment details in session
                            // If the payment is approved
                            echo "<script>
alert('Redirecting to payment verification page...');
window.location.href = 'paymentconfirmation.php?rrr=" . urlencode($teller_number) . "'; // Redirect with rrr as GET parameter
</script>";

                            exit();
                        } else {
                            $_SESSION['message'] = 'Slip not found. Please check your details or submit payment details.';
                            // If the payment is approved
                            echo "<script>
alert('Redirecting to payment verification page...');
window.location.href = 'paymentconfirmation.php?rrr=" . urlencode($teller_number) . "'; // Redirect with rrr as GET parameter
</script>";

                            exit();
                        }
                    } else {
                        $_SESSION['message'] = 'Payment not approved yet. Please check back later.';
                        // If the payment is approved
                        echo "<script>
alert('Redirecting to payment verification page...');
window.location.href = 'paymentconfirmation.php?rrr=" . urlencode($teller_number) . "'; // Redirect with rrr as GET parameter
</script>";

                        exit();
                    }
                } catch (PDOException $e) {
                    $_SESSION['message'] = 'Database error: ' . $e->getMessage();
                    // If the payment is approved
                    echo "<script>
alert('Redirecting to payment verification page...');
window.location.href = 'paymentconfirmation.php?rrr=" . urlencode($teller_number) . "'; // Redirect with rrr as GET parameter
</script>";

                    exit();
                }
            }
            ?>

            <!-- <div class="card shadow-lg p-4 mb-4 rounded" style="max-width: 500px; margin: 0 auto;">
                    <h1 class="form-title text-center mb-4" style="font-size: 30px; font-weight: bold; color: #333;">Check Your Payment Status</h1>
                    <?php if (!empty($message)): ?>
                        <p class="alert alert-warning text-center mb-4"><?php echo $message; ?></p>
                    <?php endif; ?>
                    <form method="POST" action="">
                        <div class="form-group mb-3">
                            <label for="teller_number" class="form-label" style="font-size: 20px; font-weight: 600;">Registration Reference Code:</label>
                            <input type="text" id="teller_number" class="form-control" name="rrr" required placeholder="Enter your reference code" style="font-size: 14px;">
                        </div>
                        <button type="submit" class="btn btn-primary w-100 py-2" style="font-size: 16px; font-weight: 600;">Submit</button>
                    </form>
                </div>
        </div> -->



            <style>
                body {
                    /* background: url(dist/img/bg-login.jpg); */
                    -webkit-background-size: cover;
                    -moz-background-size: cover;
                    -o-background-size: cover;
                    background-size: cover;
                    min-height: 100vh;
                    /* Ensure the body occupies the full height of the viewport */
                    display: flex;
                    flex-direction: column;
                    /* Makes sure the layout is column-based */
                }

                .content {
                    flex: 1;
                    /* Makes sure the main content takes up all the space and the footer stays at the bottom */
                    padding-top: 20px;
                    /* Adds space at the top of the content */
                }

                .footer {
                    margin-top: auto;
                    /* Pushes the footer to the bottom */
                    text-align: center;
                    padding: 20px 0;
                    background-color: rgba(0, 0, 0, 0.7);
                    /* Optional: adds a darker background to the footer */
                    color: white;
                    /* Optional: changes text color for better contrast */
                }

                /* Light Mode Default Styles for the Panel and Its Content */
                .panel {
                    background-color: #ffffff;
                    /* Light background for the panel */
                    color: #333333;
                    /* Dark text for readability */
                    border: 1px solid #ccc;
                    /* Light border around the panel */
                }

                .panel .h6 {
                    color: #333333;
                    /* Dark header text */
                }

                .panel .form-control {
                    background-color: #ffffff;
                    /* Light input fields */
                    color: #333333;
                    /* Dark text in input fields */
                    border-color: #ccc;
                    /* Light border for input fields */
                }

                .panel .form-check-label {
                    color: #333333;
                    /* Dark text for labels */
                }

                .panel .btn-primary {
                    background-color: #007bff;
                    /* Light mode primary button color */
                    border-color: #007bff;
                    /* Button border color */
                }

                .panel .btn-primary:hover {
                    background-color: #0056b3;
                    /* Darker blue on hover */
                }

                .panel .text-muted {
                    color: #6c757d;
                    /* Muted text color for help link */
                }

                /* Dark Mode Styles for the Panel and Its Content */
                body.dark-mode .panel {
                    background-color: #444444;
                    /* Dark background for the panel */
                    color: #f1f1f1;
                    /* Light text for readability */
                    border: 1px solid #666;
                    /* Darker border around the panel */
                }

                body.dark-mode .panel .h6 {
                    color: #f1f1f1;
                    /* Light header text in dark mode */
                }

                body.dark-mode .panel .form-control {
                    background-color: #555555;
                    /* Darker input fields */
                    color: #f1f1f1;
                    /* Light text inside input fields */
                    border-color: #666;
                    /* Darker border for input fields */
                }

                body.dark-mode .panel .form-check-label {
                    color: #f1f1f1;
                    /* Light text for labels in dark mode */
                }

                body.dark-mode .panel .btn-primary {
                    background-color: #007bff;
                    /* Primary button color remains the same */
                    border-color: #007bff;
                    /* Button border color */
                }

                body.dark-mode .panel .btn-primary:hover {
                    background-color: #0056b3;
                    /* Hover color stays the same */
                }

                body.dark-mode .panel .text-muted {
                    color: #b0b0b0;
                    /* Muted text for help link in dark mode */
                }
                
            </style>

            <body>

            <div class="content">
    <div class="mx-auto col-sm-5">
        <div class="panel border mx-3">
            <div class="px-4 pt-4 pb-3">
                <h6 class="h6 font-weight-bold mb-1 access-blue-color text-center" style="font-size: 24px;">
                    Check Your Payment Status
                </h6>
                <hr>
            </div>

            <div class="px-5 pb-2">
                <form role="form" action="" method="POST" id="customerSignupForm">
                    <div class="form-group mb-2">
                        <label for="custPassword" class="d-block text-md field_required">Registration Retrieval Reference Code:</label>
                        <input type="password" class="form-control form-control-lg" id="password" placeholder="Enter Registration Retrieval Reference Code (RRR Code)" name="rrr" required>
                    </div>

                    <div class="form-check form-switch">
                        <input type="checkbox" id="showPasswordCheckbox" onclick="tooglePassword()" class="form-check-input">
                        <label for="showPasswordCheckbox" class="mb-3 form-check-label">Display Registration Retrieval Reference Code</label>
                    </div>

                    <div class="text-center mt-4 mb-1">
                        <button type="submit" class="btn btn-block btn-primary text-center px-5" name="submit">Submit</button>
                    </div>

                    <div class="pb-2 px-2">
                        <div class="pb-2 small text-center">
                            <a href="#" class="text-muted font-weight-bolder text-decoration-none">
                                <i class="fas fa-user-circle"></i> For help contact your DTCE ICT Department.
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
            </div>
    <!-- Footer -->
    <?php
    include 'conn.php'; // Ensure this file contains your database connection

    // Fetch footer content from the footer table
    $stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
    $footer = $stmt->fetch(PDO::FETCH_ASSOC);
    $copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
    $eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
    ?>
    <footer class="main-footer text-sm">
        <div class="text-xs" id="copyright">
            <?php echo $copyrightMessage; ?>
            <div class="float-right d-none d-sm-inline-block">
                <b><?php echo $eventInfo; ?></b>
            </div>
        </div>
    </footer>


    <!-- PHP Section -->
    <?php
    include 'conn.php'; // Make sure this file contains your database connection

    // Fetch the modal content from the database
    $stmt = $conn->query("SELECT message FROM modal_content ORDER BY id DESC LIMIT 1");
    $modalContent = $stmt->fetch(PDO::FETCH_ASSOC);
    $message = $modalContent['message'];
    ?>

    <!-- Modal HTML -->
    <div id="announcementModal" class="modal">
        <div class="modal-content">
            <span class="close-btn" onclick="closeModal()">&times;</span>
            <h2>🎉 Welcome to the New Convention Portal! 🎉</h2>
            <p>
                <?php echo $message; ?>
            </p>
        </div>
    </div>

   <!-- Toast Container -->
<div class="toast-container">
    <!-- Toast HTML -->
    <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true" data-bs-delay="3000">
        <div class="toast-header">
            <strong class="me-auto">Welcome Message</strong>
            <small class="text-muted">just now</small>
            <!-- Corrected close button with 'data-bs-dismiss' for Bootstrap 5 -->
            <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
        </div>
        <div class="toast-body" id="toastBody">
            <p>Welcome back, <?php echo htmlspecialchars($_SESSION['pro'], ENT_QUOTES, 'UTF-8'); ?>! We are glad to have you here.</p>
        </div>
    </div>
</div>

<!-- Add Bootstrap 5 CSS and JS (Ensure you have the correct version of Bootstrap 5 loaded) -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

<script>
    // Function to show the toast
    function showToast() {
        const toast = new bootstrap.Toast(document.getElementById('myToast'));
        toast.show(); // Show the toast using Bootstrap 5's API
    }

    // Auto-trigger the toast on page load
    window.onload = function() {
        showToast(); // Show the toast when the page loads
    };
</script>



    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Check if the modal has been closed previously
            if (!localStorage.getItem("modalClosed")) {
                // Show the modal if not closed
                document.getElementById("announcementModal").style.display = "block";
            }
        });

        function closeModal() {
            // Hide the modal
            document.getElementById("announcementModal").style.display = "none";
            // Set a flag in localStorage to indicate that the modal has been closed
            localStorage.setItem("modalClosed", "true");
        }
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const toggle = document.getElementById('theme-toggle');
            const icon = document.getElementById('theme-icon');

            // Check and set the initial mode based on localStorage
            if (localStorage.getItem('theme') === 'dark') {
                document.body.classList.add('dark-mode');
                icon.classList.remove('fa-sun');
                icon.classList.add('fa-moon');
            } else {
                document.body.classList.add('light-mode');
                icon.classList.remove('fa-moon');
                icon.classList.add('fa-sun');
            }

            toggle.addEventListener('click', function() {
                if (document.body.classList.contains('dark-mode')) {
                    document.body.classList.remove('dark-mode');
                    document.body.classList.add('light-mode');
                    icon.classList.remove('fa-moon');
                    icon.classList.add('fa-sun');
                    localStorage.setItem('theme', 'light');
                } else {
                    document.body.classList.remove('light-mode');
                    document.body.classList.add('dark-mode');
                    icon.classList.remove('fa-sun');
                    icon.classList.add('fa-moon');
                    localStorage.setItem('theme', 'dark');
                }
            });
        });
    </script>
    <script>
        $(document).ready(function() {
            $('#notificationDropdown').on('click', function() {
                $.ajax({
                    url: 'fetch_notifications.php',
                    type: 'GET',
                    data: {
                        province: '<?php echo $_SESSION['pro']; ?>'
                    },
                    dataType: 'json',
                    success: function(data) {
                        console.log('Fetched notifications:', data);
                        let notificationList = $('#notificationList');
                        notificationList.empty();

                        if (data.length === 0) {
                            notificationList.append(
                                '<div class="dropdown-item">No Notifications</div>');
                        } else {
                            data.forEach(notification => {
                                let createdDate = new Date(notification.created_at);
                                let formattedDate = formatDate(createdDate);
                                let timeAgo = timeSince(createdDate);
                                let unreadBadge = notification.is_read === 0 ?
                                    '<span class="badge badge-danger">Unread</span>' :
                                    '';

                                notificationList.append(`
                            <a class="dropdown-item" href="read_notification.php?id=${notification.id}">
                                ${unreadBadge} ${notification.message}
                                <small class="text-muted">${formattedDate} (${timeAgo})</small>
                            </a>
                        `);
                            });
                        }

                        $('.badge-danger').text(data.length);
                    },
                    error: function(xhr, status, error) {
                        console.error('Error loading notifications:', error);
                    }
                });
            });
        });

        function formatDate(date) {
            const options = {
                day: 'numeric',
                month: 'short',
                year: 'numeric'
            };
            let day = date.getDate();
            let month = date.toLocaleString('default', {
                month: 'short'
            });
            let suffix = day % 10 === 1 && day !== 11 ? 'st' :
                day % 10 === 2 && day !== 12 ? 'nd' :
                day % 10 === 3 && day !== 13 ? 'rd' : 'th';
            return `${day}${suffix} ${month}, ${date.getFullYear()}`;
        }

        function timeSince(date) {
            const seconds = Math.floor((new Date() - date) / 1000);
            let interval = Math.floor(seconds / 31536000);
            if (interval > 1) return interval + " years ago";
            interval = Math.floor(seconds / 2592000);
            if (interval > 1) return interval + " months ago";
            interval = Math.floor(seconds / 86400);
            if (interval > 1) return interval + " days ago";
            interval = Math.floor(seconds / 3600);
            if (interval > 1) return interval + " hours ago";
            interval = Math.floor(seconds / 60);
            if (interval > 1) return interval + " minutes ago";
            return seconds + " seconds ago";
        }
    </script>
    <script>
        const tooglePassword = () => {
            var input = document.getElementById("password");

            if (input.type === "password") {
                input.type = "text";
            } else {
                input.type = "password";
            }
        }
    </script>

    <!-- Scripts -->
    <script src="../plugins/jquery/jquery.min.js"></script>
    <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
    <script src="../plugins/sweetalert2/sweetalert2.min.js"></script>
    <script src="../plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
    <script src="../dist/js/adminlte.min.js"></script>
    <script defer src="scripts/cookies/cookieconsent.js"></script>
    <script defer src="scripts/cookies/cookieconsent-init.js"></script>
    <script src="../plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="../plugins/jquery-validation/additional-methods.min.js"></script>
    <!-- Include jQuery and Bootstrap JS -->

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.min.js"></script>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>

</body>

</html>