<?php
require 'conn.php'; // Include your database connection

// Function to generate a password in the format "dtceXXXXXX"
function generatePassword($length = 6) {
    $characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, strlen($characters) - 1)];
    }
    return 'dtce' . $randomString;
}

// Check if a file is uploaded
if (isset($_FILES['csv_file']) && $_FILES['csv_file']['error'] === UPLOAD_ERR_OK) {
    // Open the uploaded CSV file
    $file = fopen($_FILES['csv_file']['tmp_name'], 'r');

    // Skip the first row (headers)
    fgetcsv($file);

    // Loop through the file rows
    while (($row = fgetcsv($file)) !== FALSE) {
        // Ensure at least 2 columns exist before processing
        if (count($row) < 2) {
            continue; // Skip incomplete rows
        }

        $province = trim($row[0]);
        $region = trim($row[1]);
        $password = generatePassword();
        $password_changed = 0;
        $status = 'active';

        // Insert into the province table
        $stmt = $conn->prepare("INSERT INTO province (region, province, password, password_changed, status) VALUES (?, ?, ?, ?, ?)");
        $stmt->execute([$region, $province, $password, $password_changed, $status]);
    }

    fclose($file);
    echo "CSV data uploaded and passwords generated successfully!";
} else {
    // echo "Error: Please upload a valid CSV file.";
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Upload CSV</title>
    <!-- Add Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

    <div class="container mt-5">
        <!-- Card Container -->
        <div class="card">
            <div class="card-header">
                <h4>Upload CSV File</h4>
            </div>
            <div class="card-body">
                <form action="province_csv.php" method="POST" enctype="multipart/form-data">
                    <div class="mb-3">
                        <label for="csv_file" class="form-label">Select CSV File:</label>
                        <input type="file" name="csv_file" id="csv_file" accept=".csv" class="form-control" required>
                    </div>
                    <button type="submit" class="btn btn-primary">Upload CSV</button>
                </form>
            </div>
        </div>
    </div>

    <!-- Add Bootstrap JS (optional, for interactive elements) -->
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.min.js"></script>
</body>
</html>
