<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Super Admin Dashboard | RCCG</title>

    <!-- Dependencies -->
    <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="../dist/css/adminlte.min.css">
    <link rel="stylesheet" href="../plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="../dist/css/custom.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <style>
            .dark-mode {
        background-color: #222;
        color: white;
    }

    .dark-mode .navbar,
    .dark-mode .main-footer,
    .dark-mode .main-sidebar {
        background-color: #333 !important;
        color: white !important;
    }

    .dark-mode .main-sidebar .nav-link,
    .dark-mode .main-sidebar .brand-link,
    .dark-mode .main-footer {
        color: white !important;
    }

    .dark-mode .dropdown-menu {
        background-color: #444 !important;
        color: white !important;
    }

    .dark-mode .dropdown-item {
        color: white !important;
    }

    .dark-mode .dropdown-item:hover {
        background-color: #555 !important;
    }

    /* Dark Mode - Make All Cards Black */
    .dark-mode .card {
        background-color: #1e1e1e !important;
        border-color: #333 !important;
        color: #fff !important;
    }

    /* Ensure charts remain visible */
    .dark-mode .chart-container canvas {
        background-color: #1e1e1e !important;
    }

    /* Change chart labels and data to white */
    .dark-mode .chartjs-render-monitor {
        color: #fff !important;
    }

    /* Ensure Pie Chart is properly sized */
    #pieChart {
        max-width: 100% !important;
        height: 250px !important;
    }

    /* Ensure all text is readable in charts */
    .dark-mode .chart-container text {
        fill: #ffffff !important;
    }

    /* Adjust the Card Body Height */
    .card-body {
        height: 300px;
    }

    /* Tables in Dark Mode */
    .dark-mode table {
        background-color: #1e1e1e !important;
        color: #ffffff !important;
    }

    .dark-mode th, .dark-mode td {
        border-color: #444 !important;
    }

    /* Ensure buttons remain visible */
    .dark-mode .btn {
        background-color: #333 !important;
        color: #fff !important;
        border-color: #555 !important;
    }

    /* Navbar links in dark mode */
    .dark-mode .navbar a {
        color: #fff !important;
    }

    /* Navbar Gradient */
    .navbar-gradient {
        background: linear-gradient(45deg, #003366, #990000);
        animation: gradient 5s infinite alternate;
    }

    @keyframes gradient {
        0% {
            background-position: left;
        }
        100% {
            background-position: right;
        }
    }

    /* Show dropdown on hover */
    .nav-item.dropdown:hover .dropdown-menu {
        display: block;
        margin-top: 0;
    }

    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-light navbar-gradient">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#"><i class="fas fa-bars text-white"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link text-white">Dashboard</a>
                </li>
            </ul>
            <form class="form-inline mx-auto">
                <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                    <i class="fas fa-search"></i>
                </button>
            </form>
            <ul class="navbar-nav ml-auto">
                <!-- Language Selector -->
                <li class="nav-item">
                    <select id="languageSelector" class="form-control">
                        <option value="en">English</option>
                        <option value="fr">French</option>
                        <option value="es">Spanish</option>
                        <option value="de">German</option>
                    </select>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-white" id="toggleDarkMode">
                        <i class="fas fa-moon"></i>
                    </a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle text-white" href="#" id="userDropdown" role="button">
                        <img src=".profile.jpg" class="rounded-circle" width="30" alt="Profile"> Super Admin
                    </a>
                    <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item" href="#">Profile</a>
                        <a class="dropdown-item" href="#">Settings</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item text-danger" href="logout.php">Logout</a>
                    </div>
                </li>
            </ul>
        </nav>

        <!-- Sidebar -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <a href="#" class="brand-link text-center">
                <span class="brand-text font-weight-light">RCCG Admin</span>
            </a>
            <div class="sidebar">
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview">
                        <li class="nav-item">
                            <a href="#" class="nav-link"><i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>Dashboard</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link"><i class="nav-icon fas fa-users"></i>
                                <p>Manage Users</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="#" class="nav-link"><i class="nav-icon fas fa-calendar-alt"></i>
                                <p>Events</p>
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
        </aside>

        <!-- Content Wrapper -->
        <div class="content-wrapper">
            <!-- Breadcrumb -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">Dashboard</h1>
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Dashboard</li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Main content -->

            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-4 col-md-6 col-12">
                            <div class="small-box bg-primary p-4 rounded">
                                <div class="inner">
                                    <h3>150</h3>
                                    <p>New Registrations</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-user-plus"></i>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 col-12">
                            <div class="small-box bg-success p-4 rounded">
                                <div class="inner">
                                    <h3>85%</h3>
                                    <p>Approval Rate</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-chart-line"></i>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-6 col-12">
                            <div class="small-box bg-warning p-4 rounded">
                                <div class="inner">
                                    <h3>10</h3>
                                    <p>Pending Requests</p>
                                </div>
                                <div class="icon">
                                    <i class="fas fa-exclamation-triangle"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <!-- Bar Chart -->
                        <div class="col-lg-6 col-md-12">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">User Registrations</h3>
                                </div>
                                <div class="card-body">
                                    <canvas id="barChart"></canvas>
                                </div>
                            </div>
                        </div>

                        <!-- Line Chart -->
                        <div class="col-lg-6 col-md-12">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">Approval Rate Over Time</h3>
                                </div>
                                <div class="card-body">
                                    <canvas id="lineChart"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <!-- Pie Chart -->
                        <div class="col-lg-6 col-md-12">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">Pending vs Approved Requests</h3>
                                </div>
                                <div class="card-body">
                                    <canvas id="pieChart"></canvas>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </div>


        <!-- Footer -->
        <footer class="main-footer text-center py-3">
            <strong>&copy; 2025 RCCG. All rights reserved.</strong>
        </footer>
    </div>

    <!-- Scripts -->
<script>
        // Function to toggle dark mode and save preference
        function toggleDarkMode() {
        $('body, .main-sidebar, .main-footer, .navbar, .card, .dropdown-menu, table, th, td').toggleClass('dark-mode');
        
        let isDarkMode = $('body').hasClass('dark-mode');
        
        // Store dark mode preference in localStorage
        localStorage.setItem('darkMode', isDarkMode ? 'enabled' : 'disabled');

        // Update icon
        let icon = $('#toggleDarkMode').find('i');
        icon.toggleClass('fa-moon fa-sun');
    }

    // Apply dark mode preference on page load
    $(document).ready(function () {
        if (localStorage.getItem('darkMode') === 'enabled') {
            $('body, .main-sidebar, .main-footer, .navbar, .card, .dropdown-menu, table, th, td').addClass('dark-mode');
            $('#toggleDarkMode').find('i').removeClass('fa-moon').addClass('fa-sun'); // Ensure correct icon
        }
        
        // Toggle dark mode on button click
        $('#toggleDarkMode').click(function() {
            toggleDarkMode();
        });

        // Language selector (no change needed)
        $('#languageSelector').change(function () {
            let selectedLanguage = $(this).val();
            alert("Language switched to: " + selectedLanguage);
            // You can integrate a translation API here.
        });
    });

</script>

    <script>
        // Bar Chart
        var ctxBar = document.getElementById('barChart').getContext('2d');
        new Chart(ctxBar, {
            type: 'bar',
            data: {
                labels: ['January', 'February', 'March', 'April', 'May'],
                datasets: [{
                    label: 'Registrations',
                    data: [50, 80, 60, 90, 100],
                    backgroundColor: 'rgba(54, 162, 235, 0.6)'
                }]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false
            }
        });

        // Line Chart
        var ctxLine = document.getElementById('lineChart').getContext('2d');
        new Chart(ctxLine, {
            type: 'line',
            data: {
                labels: ['January', 'February', 'March', 'April', 'May'],
                datasets: [{
                    label: 'Approval Rate (%)',
                    data: [75, 85, 80, 90, 95],
                    borderColor: 'rgba(75, 192, 192, 1)',
                    fill: false
                }]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false
            }
        });

        // Pie Chart (Smaller Size)
        var ctxPie = document.getElementById('pieChart').getContext('2d');
        new Chart(ctxPie, {
            type: 'pie',
            data: {
                labels: ['Approved', 'Pending'],
                datasets: [{
                    data: [85, 15],
                    backgroundColor: ['rgba(40, 167, 69, 0.6)', 'rgba(255, 193, 7, 0.6)']
                }]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false
            }
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js"></script>

</body>

</html>